Package com.destroystokyo.paper.event.entity

# Class SlimeSwimEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.SlimePathfindEvent
com.destroystokyo.paper.event.entity.SlimeWanderEvent
com.destroystokyo.paper.event.entity.SlimeSwimEvent

All Implemented Interfaces:
  `Cancellable`

public class SlimeSwimEvent extends SlimeWanderEvent implements Cancellable
Fired when a Slime decides to start jumping while swimming in water/lava.

This event does not fire for the entity's actual movement. Only when it is choosing to start jumping.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SlimeSwimEvent(@NotNull Slime slime)`

## Method Summary

### Methods inherited from class com.destroystokyo.paper.event.entity.SlimePathfindEvent

`getEntity, getHandlerList, getHandlers, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.event.Cancellable

`isCancelled, setCancelled`

## Constructor Details

### SlimeSwimEvent

public SlimeSwimEvent(@NotNull @NotNull Slime slime)